## skopeo 0.1.40-8

=== debian/changelog ===
skopeo (0.1.40-8) stable; urgency=medium

  * ensure correct $DH_GOPKG creation before building 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 11 Dec 2019 21:17:53 +0000

skopeo (0.1.40-7) stable; urgency=medium

  * retry with updated GOPATH def 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 11 Dec 2019 21:07:37 +0000

skopeo (0.1.40-6) stable; urgency=medium

  * update build step 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Tue, 10 Dec 2019 00:45:03 +0000

skopeo (0.1.40-5) stable; urgency=medium

  * bump to rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 09 Dec 2019 12:46:54 +0000

skopeo (0.1.40-4) stable; urgency=medium

  * bump with updated build rules

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 09 Dec 2019 12:45:27 +0000

skopeo (0.1.40-3) stable; urgency=medium

  * update build deps 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 18 Nov 2019 14:27:14 +0000

skopeo (0.1.40-2) stable; urgency=medium

  * more generic for OBS, remove debian/source/format

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 18 Nov 2019 13:45:25 +0000

skopeo (0.1.40-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v0.1.40

 -- RH Container Bot <rh.container.bot@gmail.com>  Tue, 29 Oct 2019 08:14:28 +0000

skopeo (0.1.39-1~ubuntu19.04~ppa3) disco; urgency=medium

  * autobuilt v0.1.39

 -- RH Container Bot <rh.container.bot@gmail.com>  Wed, 09 Oct 2019 11:10:40 +0000

skopeo (0.1.39-1~ubuntu19.04~ppa2) disco; urgency=medium

  * autobuilt v0.1.39

 -- RH Container Bot <rh.container.bot@gmail.com>  Wed, 09 Oct 2019 10:55:49 +0000

skopeo (0.1.39-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v0.1.39

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Fri, 09 Aug 2019 14:30:45 +0000

skopeo (0.1.38-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v0.1.38

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Tue, 06 Aug 2019 13:54:17 +0000

skopeo (0.1.37-2~ubuntu19.04~ppa6) disco; urgency=medium

  * rebuild - bump release tag 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 28 Jul 2019 21:49:03 +0000

skopeo (0.1.37-2~ubuntu19.04~ppa5) disco; urgency=medium

  * remove dev from release tag

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 28 Jul 2019 15:40:46 +0000

skopeo (0.1.37-1~dev~ubuntu19.04~ppa4) disco; urgency=medium

  * build for disco
  * build dep on libbtrfs-dev

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 28 Jul 2019 15:25:57 +0000

skopeo (0.1.37-1~dev~ubuntu18.04~ppa3) bionic; urgency=medium

  * autobuilt b137741

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 27 May 2019 21:15:50 +0000

skopeo (0.1.37-1~dev~ubuntu18.04~ppa2) bionic; urgency=medium

  * autobuilt 0c90e57

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 20 May 2019 21:11:42 +0000

skopeo (0.1.37-1~dev~ubuntu18.04~ppa1) bionic; urgency=medium

  * bump to 0.1.37, autobuilt 8c9e250

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Sat, 18 May 2019 21:11:24 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa21) bionic; urgency=medium

  * autobuilt 30b0a17

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 15 May 2019 21:10:19 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa20) bionic; urgency=medium

  * autobuilt 904b064

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Thu, 09 May 2019 21:06:21 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa19) bionic; urgency=medium

  * autobuilt 7525a79

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Tue, 07 May 2019 21:05:53 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa18) bionic; urgency=medium

  * autobuilt 0a2a62a

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Thu, 25 Apr 2019 21:00:22 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa17) bionic; urgency=medium

  * autobuilt 2829f7d

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 24 Apr 2019 20:59:45 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa16) bionic; urgency=medium

  * autobuilt 2af7114

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 17 Apr 2019 20:57:09 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa15) bionic; urgency=medium

  * autobuilt e255ccc

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Tue, 16 Apr 2019 20:57:09 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa14) bionic; urgency=medium

  * autobuilt 18ee5f8

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Fri, 12 Apr 2019 20:53:19 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa13) bionic; urgency=medium

  * autobuilt 81c5e94

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Thu, 11 Apr 2019 20:52:38 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa12) bionic; urgency=medium

  * autobuilt c73bcba

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 08 Apr 2019 20:52:09 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa11) bionic; urgency=medium

  * autobuilt 854f766

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 27 Mar 2019 21:42:18 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa10) bionic; urgency=medium

  * autobuilt 0975497

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 25 Mar 2019 20:44:43 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa9) bionic; urgency=medium

  * conflicts and replaces skopeo-containers 
  * autobuilt d93a581

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 18 Mar 2019 19:13:09 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa8) bionic; urgency=medium

  * autobuilt d93a581

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Sun, 17 Mar 2019 03:52:42 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa7) bionic; urgency=medium

  * containers-common requires containers-golang
  * skopeo requires containers-golang

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 17 Mar 2019 03:29:22 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa6) bionic; urgency=medium

  * autobuilt d93a581

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 13 Mar 2019 19:49:57 +0000

skopeo (0.1.36-1~dev~ubuntu18.04~ppa5) bionic; urgency=medium


