=== debian/control ===
Source: skopeo
Section: devel
Priority: optional
Maintainer: Lokesh Mandvekar <lsm5@fedoraproject.org>
Build-Depends: debhelper (>=9),
    rsync,
    libgpgme11-dev,
    libassuan-dev,
    dh-golang,
    golang,
    libglib2.0-dev,
    go-md2man
Standards-Version: 4.3.0
Homepage: https://github.com/projectatomic/skopeo

Package: skopeo
Architecture: any
Depends: ${misc:Depends},
    ${shlibs:Depends},
    libgpgme11,
    containers-common
Description: Inspect container images and repositories on registries.

Package: containers-common
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends},
   containers-golang,
   containers-image(>=3.0.0)
Description: Configuration files for working with image signatures.
Provides: skopeo-containers
Conflicts: skopeo-containers
Replaces: skopeo-containers
