=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1
DH_GOPKG := github.com/containers/skopeo
PREFIX := /usr
BUILDDIR := $(shell pwd)
DESTDIR := $(BUILDDIR)/debian/tmp
SIGSTOREDIR := $(DESTDIR)/var/lib/containers/sigstore
CONTAINERSSYSCONFIGDIR := $(DESTDIR)/etc/containers
REGISTRIESDDIR := $(DESTDIR)/etc/containers/registries.d
BASHINSTALLDIR := $(DESTDIR)$(PREFIX)/share/bash-completion/completions
INSTALLDIR := $(DESTDIR)$(PREFIX)/bin
MANINSTALLDIR := $(DESTDIR)$(PREFIX)/share/man
BUILDTAGS += containers_image_ostree_stub exclude_graphdriver_devicemapper exclude_graphdriver_btrfs
GOPATH := $(GOPATH):$(BUILDDIR)
GO := GOPATH=$(GOPATH) GO111MODULE=off /usr/bin/go
GO_BUILD := $(GO) build
UPSTREAM_TAG=v0.1.40


%:
	dh_clean
	make clean
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_configure:
	rm -rf $(BUILDDIR)/src $(BUILDDIR)/storage.conf.5
	dh_auto_configure -O--buildsystem=golang
	# Include vendored dependencies.
	cp -rp $(BUILDDIR)/vendor $(BUILDDIR)/src
	mkdir -p $(BUILDDIR)/src/github.com/containers
	ln -s $(BUILDDIR) $(BUILDDIR)/src/$(DH_GOPKG)

override_dh_auto_build:
	$(GO_BUILD) -tags '$(BUILDTAGS)' -ldflags '' -o skopeo $(DH_GOPKG)/cmd/skopeo
	make docs
	rm -rf $(BUILDDIR)/obj-*-linux-gnu

override_dh_auto_test:

override_dh_auto_install:
	install -d -m 755 $(SIGSTOREDIR)
	install -d -m 755 $(CONTAINERSSYSCONFIGDIR)
	install -m 644 default-policy.json $(CONTAINERSSYSCONFIGDIR)/policy.json
	install -d -m 755 $(REGISTRIESDDIR)
	install -m 644 default.yaml ${REGISTRIESDDIR}/default.yaml
	# install binary
	install -d -m 755 ${INSTALLDIR}
	install -m 755 skopeo $(INSTALLDIR)/skopeo
	# install man
	install -d -m 755 $(MANINSTALLDIR)/man1
	install -m 644 docs/*.1 $(MANINSTALLDIR)/man1/
	# install completions
	install -m 755 -d $(BASHINSTALLDIR)
	install -m 644 completions/bash/skopeo $(BASHINSTALLDIR)/skopeo

override_dh_golang:
