## skopeo 0.1.40-10

=== debian/changelog ===
skopeo (0.1.40-10) stable; urgency=medium

  * install /etc/containers/storage.conf 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 30 Jan 2020 10:44:34 -0500

skopeo (0.1.40-9) stable; urgency=medium

  * use containers-image >= 5.1.0~2 for correct registries.conf setup 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Tue, 28 Jan 2020 09:16:41 -0500
