=== debian/control ===
--- 
+++ 
@@ -23,9 +23,9 @@
 
 Package: containers-common
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}
    containers-golang,
-   containers-image(>=3.0.0)
+   containers-image(>=5.1.0~2)
 Description: Configuration files for working with image signatures.
 Provides: skopeo-containers
 Conflicts: skopeo-containers
