=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	install -d -m 755 $(SIGSTOREDIR)
 	install -d -m 755 $(CONTAINERSSYSCONFIGDIR)
 	install -m 644 default-policy.json $(CONTAINERSSYSCONFIGDIR)/policy.json
+	install -m 644 contrib/storage.conf $(CONTAINERSSYSCONFIGDIR)/storage.conf
 	install -d -m 755 $(REGISTRIESDDIR)
 	install -m 644 default.yaml ${REGISTRIESDDIR}/default.yaml
 	# install binary
