## skopeo 0.1.41~1

=== debian/changelog ===
skopeo (0.1.41~1) testing; urgency=medium

  * autobuilt v0.1.41

 -- RH Container Bot <rhcontainerbot@fedoraproject.org>  Fri, 07 Feb 2020 23:19:27 +0000
