=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 GOPATH := $(GOPATH):$(BUILDDIR)
 GO := GOPATH=$(GOPATH) GO111MODULE=off /usr/bin/go
 GO_BUILD := $(GO) build
-UPSTREAM_TAG=v0.1.40
+UPSTREAM_TAG=v0.1.41
 
 
 %:
@@ -42,7 +42,7 @@
 	install -d -m 755 $(SIGSTOREDIR)
 	install -d -m 755 $(CONTAINERSSYSCONFIGDIR)
 	install -m 644 default-policy.json $(CONTAINERSSYSCONFIGDIR)/policy.json
-	install -m 644 contrib/storage.conf $(CONTAINERSSYSCONFIGDIR)/storage.conf
+	install -m 644 vendor/github.com/containers/storage/storage.conf $(CONTAINERSSYSCONFIGDIR)/storage.conf
 	install -d -m 755 $(REGISTRIESDDIR)
 	install -m 644 default.yaml ${REGISTRIESDDIR}/default.yaml
 	# install binary
