## skopeo 1.1.0

=== debian/changelog ===
skopeo (1.1.0-4) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Jul 2020 10:13:51 -0400

skopeo (1.1.0-3) experimental; urgency=medium

  * Add build depend on golang-github-containers-image-dev

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 13 Jul 2020 06:48:25 -0400

skopeo (1.1.0-2) experimental; urgency=medium

  * Build-Conflict against golang-github-dnephin-cobra-dev
  * Build-depend on golang-github-spf13-cobra-dev

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 11 Jul 2020 13:23:29 -0400

skopeo (1.1.0-1) experimental; urgency=medium

  * New upstream version
  * Temporarily include containers/common as patch
  * debian/control: tighten some build-deps

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 09 Jul 2020 22:04:41 -0400

skopeo (0.2.0-1) experimental; urgency=medium

  * New upstream version 0.2.0
  * Tighten build depends

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 21 Apr 2020 17:07:40 -0400

skopeo (0.1.40-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Apr 2020 15:03:46 -0400

skopeo (0.1.40-1) experimental; urgency=medium

  * Initial release (Closes: #880199)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 09 Jan 2020 18:35:53 -0500
