=== debian/control ===
Source: skopeo
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper (>= 11~),
               dh-golang,
               go-md2man,
               golang-any,
               golang-github-containers-common-dev (>> 0.14),
               golang-github-containers-buildah-dev (>> 1.15),
               golang-github-containers-image-dev (>> 5.5),
               golang-github-containers-storage-dev (>> 1.18.2~),
               golang-github-docker-docker-dev (>> 18.09.3),
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-pkg-errors-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-github-stretchr-testify-dev,
               golang-github-urfave-cli-dev,
               golang-gopkg-check.v1-dev,
# tests:
#              golang-github-opencontainers-image-tools-image-dev,
Build-Conflicts: golang-github-dnephin-cobra-dev
Standards-Version: 4.2.1
Homepage: https://github.com/containers/skopeo
Vcs-Browser: https://salsa.debian.org/go-team/packages/skopeo
Vcs-Git: https://salsa.debian.org/go-team/packages/skopeo.git
XS-Go-Import-Path: github.com/containers/skopeo
Testsuite: autopkgtest-pkg-go

Package: skopeo
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Tooling to work with remote images registries
 skopeo is a command line utility that performs various operations on
 container images and image repositories.
 .
 skopeo can work with OCI images
 (https://github.com/opencontainers/image-spec) as well as the original
 Docker v2 images.
