## skopeo 1.1.1

=== debian/changelog ===
skopeo (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 21 Nov 2020 22:09:31 -0500
