## skopeo 1.2.0+dfsg1

=== debian/changelog ===
skopeo (1.2.0+dfsg1-2) unstable; urgency=medium

  * Tighten build depends on containers/common (Closes: #977036)
  * update debian/copyright with 'cme update dpkg-copyright'

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 10 Dec 2020 17:00:24 -0500

skopeo (1.2.0+dfsg1-1) unstable; urgency=medium

  * debian/watch: indicate repacked tarballs
  * New upstream version 1.2.0+dfsg1

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 28 Nov 2020 08:15:02 -0500

skopeo (1.1.1-1.1) unstable; urgency=medium

  * test rebuild

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Nov 2020 10:02:31 -0500
