=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-golang,
                go-md2man,
                golang-any,
-               golang-github-containers-common-dev (>> 0.14),
+               golang-github-containers-common-dev (>> 0.22),
                golang-github-containers-buildah-dev (>> 1.15),
                golang-github-containers-image-dev (>> 5.5),
                golang-github-containers-storage-dev (>> 1.18.2~),
