## skopeo 1.2.1+dfsg1

=== debian/changelog ===
skopeo (1.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.2.1+dfsg1
  * Depend on golang-github-containers-common (Closes: #979403)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Jan 2021 10:38:08 -0500
