=== debian/changelog ===
skopeo (1.2.2+dfsg1-1) unstable; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 26 Feb 2021 20:55:47 -0500
