=== debian/control ===
--- 
+++ 
@@ -33,7 +33,8 @@
 Package: skopeo
 Architecture: any
 Built-Using: ${misc:Built-Using}
-Depends: ${misc:Depends},
+Depends: golang-github-containers-common (>> 0.26.3+ds1-3~~)
+         ${misc:Depends},
          ${shlibs:Depends}
 Description: Tooling to work with remote images registries
  skopeo is a command line utility that performs various operations on
