## skopeo 1.4.1+ds1

=== debian/changelog ===
skopeo (1.4.1+ds1-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 29 Aug 2021 21:47:36 +0200
