## skopeo 1.9.2+ds1

=== debian/changelog ===
skopeo (1.9.2+ds1-3) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 24 Nov 2022 20:49:06 -0500

skopeo (1.9.2+ds1-2) experimental; urgency=medium

  * New upstream release
  * Refresh patches
  * Tighten dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Aug 2022 15:31:35 +0200
