=== debian/changelog ===
skopeo (1.9.3+ds1-1) unstable; urgency=medium

  * new upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 12 Jan 2023 16:07:53 -0500
