=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                dh-golang,
                go-md2man,
                golang-any,
-               golang-github-containers-common-dev (>> 0.42),
-               golang-github-containers-image-dev (>> 5.15),
-               golang-github-containers-storage-dev (>> 1.34),
+               golang-github-containers-common-dev (>> 0.49.1),
+               golang-github-containers-image-dev (>> 5.22),
+               golang-github-containers-storage-dev (>> 1.42),
                golang-github-docker-docker-dev (>> 20.10),
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
@@ -32,7 +32,7 @@
 Package: skopeo
 Architecture: any
 Built-Using: ${misc:Built-Using}
-Depends: golang-github-containers-common (>> 0.42),
+Depends: golang-github-containers-common (>> 0.49),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Tooling to work with remote images registries
