## skopeo 1.13.3%2Bds1

=== debian/changelog ===
skopeo (1.13.3+ds1-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 14:20:41 +1000

skopeo (1.13.3+ds1-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 16:03:19 +1000

skopeo (1.13.3+ds1-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 11:56:28 +0530

skopeo (1.13.3+ds1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:01:01 +1100

skopeo (1.13.3+ds1-2build1) noble; urgency=medium

  * No-change rebuild for libgpgme t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 16:48:04 +0100

skopeo (1.13.3+ds1-2) unstable; urgency=medium

  * Drop disable-sigstore.patch
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Oct 2023 09:49:26 -0400

skopeo (1.13.3+ds1-1) experimental; urgency=medium

  * New upstream version
  * Add patch to disable --sign-by-sigstore feature

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 14 Sep 2023 09:24:10 -0400
