=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: skopeo
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper (>= 11~),
                dh-golang,
                go-md2man,
                golang-any,
                golang-github-containers-common-dev (>> 0.49.1),
-               golang-github-containers-image-dev (>> 5.22),
+               golang-github-containers-image-dev (>> 5.28.0-3~),
                golang-github-containers-storage-dev (>> 1.42),
                golang-github-docker-docker-dev (>> 20.10),
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
                golang-github-pkg-errors-dev,
+               golang-github-sigstore-sigstore-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev (>> 1.2.1),
                golang-github-stretchr-testify-dev,
