## skopeo 1.13.3+ds1

=== debian/tests/control ===
Test-Command: skopeo help
